<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="NONE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="f6e5e75e-1782-4a4b-affa-dc4b16acd6d7" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="device_and_snapshot_combo_box_target[]" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$/app">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="pl2300G_multisimple" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="pl2300G_multisimple" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="pl2300G_multisimple" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="pl2300G_multisimple" type="f1a62948:ProjectNode" />
                <item name="app" type="2d1252cf:ModuleNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="other" type="c8890929:TasksNode$1" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="GenerateSignedApkSettings">
    <option name="EXPORT_PRIVATE_KEY" value="false" />
    <option name="KEY_STORE_PATH" value="D:\Android\Key\PL2303G_MultiSimpleTest_v1.0.0.1\PL2303G_MultiSimpleTest_v1.0.0.1_20200924.jks" />
    <option name="KEY_ALIAS" value="PL2303G_MultiSimpleTest_v1.0.0.1" />
    <option name="REMEMBER_PASSWORDS" value="true" />
    <option name="BUILD_TARGET_KEY" value="apk" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/build.gradle" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/settings.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
      </list>
    </option>
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProblemsViewState">
    <option name="selectedTabId" value="CurrentFile" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-105" />
    <option name="y" value="444" />
    <option name="width" value="1260" />
    <option name="height" value="803" />
  </component>
  <component name="ProjectId" id="2KOHgyWB8jtPS2x9SFLCOh2csz0" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView">
        <subPane>
          <expand>
            <path>
              <item name="pl2300G_multisimple" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
            </path>
            <path>
              <item name="pl2300G_multisimple" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
            </path>
            <path>
              <item name="pl2300G_multisimple" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="pl2300G_multisimple" type="cbb59c9e:AndroidPsiDirectoryNode" />
            </path>
            <path>
              <item name="pl2300G_multisimple" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="pl2300G_multisimple" type="cbb59c9e:AndroidPsiDirectoryNode" />
              <item name="MainActivity.java" type="529ef68f:ClassesTreeStructureProvider$PsiClassOwnerTreeNode" />
            </path>
            <path>
              <item name="pl2300G_multisimple" type="1abcf292:AndroidViewProjectNode" />
              <item name="Gradle Scripts" type="ae0cef3a:AndroidBuildScriptsGroupNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="ProjectPane" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ApkExportedModule&quot;: &quot;pl2300G_multisimple.app&quot;,
    &quot;ExportApk.ApkPathForpl2300G_multisimple.app&quot;: &quot;D:\\PL2303\\HXG\\Android\\GooglePlay\\PL2303G_MultiSimpleTest_v1.0.0.3_20231025\\app&quot;,
    &quot;RunOnceActivity.cidr.known.project.marker&quot;: &quot;true&quot;,
    &quot;cidr.known.project.marker&quot;: &quot;true&quot;,
    &quot;dart.analysis.tool.window.visible&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/PL2303/HXG/Android/GooglePlay/PL2303G_MultiSimpleTest_v1.0.0.3_20231025_lib_ok&quot;,
    &quot;project.structure.last.edited&quot;: &quot;SDK Location&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.17&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.2&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;reference.settingsdialog.project.gradle&quot;,
    &quot;show.migrate.to.gradle.popup&quot;: &quot;false&quot;
  },
  &quot;keyToStringList&quot;: {
    &quot;ExportApk.BuildVariants&quot;: [
      &quot;release&quot;
    ]
  }
}</component>
  <component name="PsdUISettings">
    <option name="MODULE_TAB" value="Signing Configs" />
    <option name="LAST_EDITED_SIGNING_CONFIG" value="debug" />
  </component>
  <component name="RunManager" selected="Gradle.PL2303G_MultiSimpleTest_v1.0.0.3_20231023:app [testReleaseUnitTest]">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="pl2300G_multisimple.app.main" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="ALL_USERS" value="false" />
      <option name="ALWAYS_INSTALL_WITH_PM" value="false" />
      <option name="CLEAR_APP_STORAGE" value="false" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="INSPECTION_WITHOUT_ACTIVITY_RESTART" value="false" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Hybrid>
      <Java>
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Java>
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
        <option name="ATTACH_ON_WAIT_FOR_DEBUGGER" value="false" />
        <option name="DEBUG_SANDBOX_SDK" value="false" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Java/Kotlin Method Sample (legacy)" />
        <option name="STARTUP_NATIVE_MEMORY_PROFILING_ENABLED" value="false" />
        <option name="NATIVE_MEMORY_SAMPLE_RATE_BYTES" value="2048" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <option name="SEARCH_ACTIVITY_IN_GLOBAL_SCOPE" value="false" />
      <option name="SKIP_ACTIVITY_VALIDATION" value="false" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="PL2303G_MultiSimpleTest_v1.0.0.3_20231023:app [testDebugUnitTest]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$/app" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="testDebugUnitTest" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <ExternalSystemDebugServerProcess>true</ExternalSystemDebugServerProcess>
      <ExternalSystemReattachDebugProcess>true</ExternalSystemReattachDebugProcess>
      <DebugAllEnabled>false</DebugAllEnabled>
      <method v="2" />
    </configuration>
    <configuration name="PL2303G_MultiSimpleTest_v1.0.0.3_20231023:app [testReleaseUnitTest]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$/app" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="testReleaseUnitTest" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <ExternalSystemDebugServerProcess>true</ExternalSystemDebugServerProcess>
      <ExternalSystemReattachDebugProcess>true</ExternalSystemReattachDebugProcess>
      <DebugAllEnabled>false</DebugAllEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.PL2303G_MultiSimpleTest_v1.0.0.3_20231023:app [testReleaseUnitTest]" />
        <item itemvalue="Gradle.PL2303G_MultiSimpleTest_v1.0.0.3_20231023:app [testDebugUnitTest]" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f6e5e75e-1782-4a4b-affa-dc4b16acd6d7" name="Default Changelist" comment="" />
      <created>1672369517755</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1672369517755</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1296" height="1000" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.32928804" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Build Variants" order="4" side_tool="true" />
      <window_info id="Image Layers" order="5" />
      <window_info id="Designer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info anchor="bottom" id="Version Control" order="0" show_stripe_button="false" />
      <window_info anchor="bottom" id="Logcat" order="1" />
      <window_info anchor="bottom" id="TODO" order="2" />
      <window_info anchor="bottom" id="Find" order="3" sideWeight="0.49919093" weight="0.3290993" />
      <window_info anchor="bottom" id="Terminal" order="4" />
      <window_info anchor="bottom" id="Event Log" order="5" sideWeight="0.5008091" side_tool="true" weight="0.3290993" />
      <window_info anchor="bottom" id="Build" order="6" sideWeight="0.49919093" visible="true" weight="0.49422634" />
      <window_info anchor="bottom" id="Android Profiler" order="7" show_stripe_button="false" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="351">
          <caret line="13" column="16" selection-start-line="13" selection-start-column="16" selection-end-line="13" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/import-summary.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/prolific/pl2300G_multisimple/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6561">
          <caret line="305" column="51" selection-start-line="305" selection-start-column="36" selection-end-line="305" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="27">
          <caret line="1" column="37" selection-start-line="1" selection-start-column="37" selection-end-line="1" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="7" column="55" selection-start-line="7" selection-start-column="55" selection-end-line="7" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="81">
          <caret line="3" column="26" selection-start-line="3" selection-start-column="26" selection-end-line="3" selection-end-column="26" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>